Summary:	An FTP daemon provided by Washington University.
Summary(ko):	  FTP .
Name:		wu-ftpd
Version:	2.6.2
Release:	1kr
Copyright:	BSD
Group:		System Environment/Daemons

Source: ftp://ftp.wu-ftpd.org/pub/wu-ftpd/wu-ftpd-%{version}.tar.gz
Source1: korean_doc.tgz
Source2: ftp.pamd
Source3: ftpd.log
Source4: wu-ftpd.xinetd
Patch0: wu-ftpd-2.6.0-redhat.patch
Patch1: wu-ftpd-korean-config.patch
Patch2: wu-ftpd-2.6.0-owners.patch
Patch3: wu-ftpd-2.6.1-fixinternalls.patch
Patch4: wu-ftpd-2.6.1-privatepw.patch

Requires: xinetd, /etc/pam.d/system-auth
Provides: ftpserver
Prereq: fileutils
Buildroot: /var/tmp/%{name}-root

%description
The wu-ftpd package contains the wu-ftpd FTP (File Transfer Protocol)
server daemon.  The FTP protocol is a method of transferring files
between machines on a network and/or over the Internet.  Wu-ftpd's
features include logging of transfers, logging of commands, on the fly
compression and archiving, classification of users' type and location,
per class limits, per directory upload permissions, restricted guest
accounts, system wide and per directory messages, directory alias,
cdpath, filename filter and virtual host support.

Install the wu-ftpd package if you need to provide FTP service to remote
users.

%description -l ko
wu-ftpd package wu-ftpd FTP (File Transfer Protocol) server daemon
ϰ ִ. FTP protocol network Ǵ internet machine 
file  Ѵ. Wu-ftpd ҵ鿡  α, ɾ α,
ȿ , user ¿ ġ ,  class  ,
丮 upload , ѵ մ , ý  ޼ 
丮 ޼, 丮 ̾, cdpath, ϳ  ׸
virtual host  Ѵ.

  鿡 FTP service  ʿ䰡 ִٸ wu-ftpd
package ġ϶

%prep
%setup -q -n wu-ftpd-%{version} -a 1
mkdir rhsconfig
%patch0 -p1
%patch1 -p1 
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%configure --with-etc-dir=/etc/wu-ftpd \
	   --mandir=%{_mandir} \
           --enable-quota \
           --enable-pam \
           --enable-ratios \
           --enable-passwd \
	   --enable-crackers \
	   --enable-ls \
           --disable-rfc931 \
           --disable-unmericuid \
           --disable-dnsretry \
           --disable-crackers

perl -pi -e "s,/\* #undef SHADOW_PASSWORD \*/,#define SHADOW_PASSWORD 1,g" src/config.h

RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/wu-ftpd
make install DESTDIR=$RPM_BUILD_ROOT

install -m755 util/xferstats $RPM_BUILD_ROOT/usr/sbin

cd rhsconfig
install -m 600 ftpaccess ftpusers  ftphosts ftpgroups ftpconversions \
               $RPM_BUILD_ROOT/etc/wu-ftpd

strip $RPM_BUILD_ROOT/usr/sbin/* || :

mkdir -p $RPM_BUILD_ROOT/etc/{pam,logrotate,xinetd}.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/ftp
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/xinetd.d/wu-ftpd

# korean man page install
cd $RPM_BUILD_DIR/wu-ftpd-%{version}/KOREAN
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ko/{man1,man5,man8}

install -m 644 ftpwho.1.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man1/ftpwho.1
install -m 644 ftpcount.1.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man1/ftpcount.1
install -m 644 ftpaccess.5.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man5/ftpaccess.5
install -m 644 ftpconversions.5.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man5/ftpconversions.5
install -m 644 ftphosts.5.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man5/ftphosts.5
install -m 644 xferlog.5.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man5/xferlog.5
install -m 644 ftpservers.5.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man5/ftpservers.5
install -m 644 ftpd.8.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man8/ftpd.8
install -m 644 ftpshut.8.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man8/ftpshut.8
install -m 644 ftprestart.8.kr \
               $RPM_BUILD_ROOT%{_mandir}/ko/man8/ftprestart.8

rm -f ftpwho.1.kr ftpcount.1.kr ftpaccess.5.kr ftpconversions.5.kr \
      ftphosts.5.kr xferlog.5.kr ftpd.8.kr ftpshut.8.kr ftpservers.5.kr \
      ftprestart.8.kr

# message file install
mkdir -p $RPM_BUILD_ROOT/etc/wu-ftpd/ftpmessage

install -m 644 welcome.msg $RPM_BUILD_ROOT/etc/wu-ftpd/ftpmessage/welcome.msg
install -m 644 ftp.deny $RPM_BUILD_ROOT/etc/wu-ftpd/ftpmessage/ftp.deny
install -m 644 ftp.toomany $RPM_BUILD_ROOT/etc/wu-ftpd/ftpmessage/ftp.toomany

rm -f welcome.msg ftp.deny ftp.toomany

# HTML man page instll
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/wu-ftpd

install -m 644 HTML/*.html $RPM_BUILD_ROOT/home/httpd/html/manual/wu-ftpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/xferlog ]; then
    touch /var/log/xferlog
    chmod 600 /var/log/xferlog
fi

%files
%defattr(-,root,root)
%doc README ERRATA CHANGES CONTRIBUTORS
%doc doc/HOWTO doc/TODO doc/examples KOREAN
/usr/sbin/*
/usr/bin/*
%{_mandir}/man*/*
%{_mandir}/ko/man*/*
/home/httpd/html/manual/wu-ftpd/*
%config /etc/wu-ftpd/ftpaccess
%config /etc/wu-ftpd/ftpconversions
%config /etc/wu-ftpd/ftpgroups
%config /etc/wu-ftpd/ftphosts
%config /etc/wu-ftpd/ftpusers
%config /etc/pam.d/ftp
%config /etc/xinetd.d/wu-ftpd
%config /etc/logrotate.d/ftpd
%config /etc/wu-ftpd/ftpmessage/*

%changelog
* Mon Feb 25 2002 JoungKyun Kim <admin@oops.org>
- update 2.6.2
- added --disable-dnsretry option
- added --enable-ls option

* Sat Dec  8 2001 JoungKyun Kim <admin@oops.org>
- added xinetd configuration

* Wed Nov 28 2001 JoungKyun Kim <admin@oops.org>
- Fix BOF in ftpglob

* Mon May  7 2001 JoungKyun Kim <admin@oops.org>
- added missing_format_string patch
- added nlst-show-dirs patch
- added pasv-port-allow-correction patch
- added internalls pacth
- added privatepw security hole patch

* Fri Oct 20 2000 JoungKyun Kim <admin@oops.org>
- modified logrotate missinok error

* Sun Aug  7 2000 JoungKyun Kim <admin@oops.org>
- update korean man page and documents

* Tue Jul 23 2000 JoungKyun Kim <admin@oops.org>
- moved configuration file in /etc/wu-ftpd
- turned off --enable-ls option
- update korean document

* Tue Jul  4 2000 JoungKyun Kim <admin@oops.org>
- update 2.6.1

* Sat Jun 24 2000 JoungKyun Kim <admin@oops.org>
- fix security bug w/ SITE EXEC

* Fri Feb 25 2000 JoungKyun Kim <admin@oops.org>
- fix a bug (the port-allow ftpaccess option was broken)

* Wed Nov 17 1999 JoungKyun Kim <admin@oops.kr.net>
- updated 2.6.0-1kr
- added rpm-changelog in /usr/doc/wu-ftpd-%{version}
- added korean locale
- added SGML, HTML, TXT file in korean manual page

* Tue Sep 21 1999 JoungKyun Kim <admin@oops.kr.net>
- updated 2.5.0-3kr
- patched welcome.msg path in ftpaccess

* Fri Sep 10 1999 JoungKyun Kim <admin@oops.kr.net>
- version 2.5.0-1kr
- added korean configuration file, man page, document file
- added welcome.msg, ftp.deny, ftp.toomany in /etc/ftpmessage directory
